# TimeZone Class Reference

Inherits ObjectImpl.

List of all members.

## Public Member Functions

const LogString | getID () const
virtual log4cxx_status_t | explode (apr_time_exp_t *result, log4cxx_time_t input) const =0
| Expand an APR time into the human readable components for this timezone.

## Static Public Member Functions

static const TimeZonePtr & | getDefault ()
static const TimeZonePtr & | getGMT ()
static const TimeZonePtr | getTimeZone (const LogString &ID)

## Protected Member Functions

| TimeZone (const LogString &ID)
virtual | ~TimeZone ()

## Protected Attributes

const LogString | id

## Constructor & Destructor Documentation

TimeZone | ( | const LogString & | ID | ) | `[protected]`

virtual ~TimeZone | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual log4cxx_status_t explode | ( | apr_time_exp_t * | result,
|  | log4cxx_time_t | input
| ) | const`[pure virtual]`

| Expand an APR time into the human readable components for this timezone.

static const TimeZonePtr& getDefault | ( |  | ) | `[static]`

static const TimeZonePtr& getGMT | ( |  | ) | `[static]`

const LogString getID | ( |  | ) | const`[inline]`

static const TimeZonePtr getTimeZone | ( | const LogString & | ID | ) | `[static]`

## Member Data Documentation

const LogString id `[protected]`

The documentation for this class was generated from the following file:

- timezone.h